<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView
            android:id="@+id/scroll_view"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/scan_input"
                    style="@style/ScanLineTextSearch"
                    android:layout_width="match_parent"
                    android:hint="@string/titleExpeditionScan"
                    android:inputType="text"
                    android:lines="1"
                    android:maxLines="1" />

                <LinearLayout
                    android:id="@+id/route_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/layout_margin_min"
                    android:layout_marginBottom="@dimen/layout_margin_1"
                    android:background="@color/verdnatura_pumpkin_orange"
                    android:orientation="horizontal"
                    android:paddingStart="@dimen/layout_margin_1"
                    android:paddingEnd="@dimen/layout_margin_1"
                    android:visibility="gone"
                    tools:visibility="visible">

                    <TextView
                        android:id="@+id/route"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.25"
                        android:gravity="start"
                        android:text="@string/Ruta"
                        android:textColor="@color/verdnatura_white"
                        android:textSize="@dimen/body1" />

                    <TextView
                        android:id="@+id/agency"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.25"
                        android:gravity="start"
                        android:text="@string/zone"
                        android:textColor="@color/verdnatura_white"
                        android:textSize="@dimen/body2" />

                    <TextView
                        android:id="@+id/date"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.25"
                        android:gravity="end"
                        android:text="@string/Fecha"
                        android:textColor="@color/verdnatura_white"
                        android:textSize="@dimen/body2" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/layout_margin_min"
                    android:layout_marginBottom="@dimen/layout_margin_1"
                    android:orientation="horizontal"
                    android:paddingStart="@dimen/layout_margin_1"
                    android:paddingEnd="@dimen/layout_margin_1">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:gravity="start"
                        android:text="@string/Fecha"
                        android:textColor="@color/verdnatura_white"
                        android:textSize="@dimen/body2" />

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.25"
                        android:gravity="start"
                        android:text="@string/Worker"
                        android:textColor="@color/verdnatura_white"
                        android:textSize="@dimen/body2" />


                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1.25"
                        android:gravity="end"
                        android:text="@string/state"
                        android:textColor="@color/verdnatura_white"
                        android:textSize="@dimen/body2" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/itemcard_layout"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="10dp"
                    tools:ignore="ExtraText">
                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/itemexpeditionlog_recyclerview"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:clipToPadding="false"
                            android:visibility="visible"
                            tools:listitem="@layout/item_expeditionlog_row" />
                </LinearLayout>

            </LinearLayout>
        </ScrollView>

        <include
            android:id="@+id/main_toolbar"
            layout="@layout/toolbar_fragment"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>